Subject: Re: [Bitcoin-development] Adding a pong message

From: "Luke-Jr" <[email-masked]>
Date: Tue, 13 Mar 2012 14:45:08 -0400

On Tuesday, March 13, 2012 2:06:38 PM Mike Hearn wrote:
> https://github.com/bitcoin/bitcoin/pull/932 adds a "pong" message that
> echoes back a 64 bit nonce contained in the ping, if the protocol
> version is new enough.
> 
> The goal of this is to make it easier for clients, especially mobile
> clients, to quickly check if a connection is stale, and also to see if
> a remote node is overloaded so we can avoid talking to it. A common
> case where this happens is if the remote node is itself downloading
> the block chain or doing something equally intensive.
> 
> Any objections?

Not really an objection per se, but what's wrong with TCP keepalives?